## faceblur faceblur |

## Properties

gchar * | profile | Read / Write
GstOpencvFaceBlurFlags | flags | Read / Write
gint | min-neighbors | Read / Write
gint | min-size-height | Read / Write
gint | min-size-width | Read / Write
gdouble | scale-factor | Read / Write

## Types and Values

struct | GstFaceBlur

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstOpencvVideoFilter
                                ╰── GstFaceBlur

## Description

Blurs faces in images and videos.

### Example launch line

    1
    gst-launch-1.0 autovideosrc ! videoconvert ! faceblur ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | opencv
author | Michael Sheldon <mike@mikeasoft.com>,Robert Jobbagy <jobbagy.robert@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstFaceBlur

    struct GstFaceBlur;

## Property Details

### The `“profile”` property

      “profile”                  gchar *

Location of Haar cascade file to use for face blurion.

Flags: Read / Write

Default value: "/usr/share/opencv/haarcascades/haarcascade_frontalface_default.xml"

### The `“flags”` property

      “flags”                    GstOpencvFaceBlurFlags

Flags to cvHaarDetectObjects.

Flags: Read / Write

Default value: Do Canny edge detection to discard some regions

### The `“min-neighbors”` property

      “min-neighbors”            gint

Minimum number (minus 1) of neighbor rectangles that makes up an object.

Flags: Read / Write

Allowed values: >= 0

Default value: 3

### The `“min-size-height”` property

      “min-size-height”          gint

Minimum window height size.

Flags: Read / Write

Allowed values: >= 0

Default value: 30

### The `“min-size-width”` property

      “min-size-width”           gint

Minimum window width size.

Flags: Read / Write

Allowed values: >= 0

Default value: 30

### The `“scale-factor”` property

      “scale-factor”             gdouble

Factor by which the windows is scaled after each scan.

Flags: Read / Write

Allowed values: [1.1,10]

Default value: 1.25